import {
  a as o
} from "./chunk-IP3X35J4.js";
import {
  a as s,
  c as u
} from "./chunk-IO47FP3U.js";

// ../node_modules/refractor/lang/json5.js
var g = u((i, a) => {
  var d = o();
  a.exports = e;
  e.displayName = "json5";
  e.aliases = [];
  function e(n) {
    n.register(d), function(r) {
      var t = /("|')(?:\\(?:\r\n?|\n|.)|(?!\1)[^\\\r\n])*\1/;
      r.languages.json5 = r.languages.extend("json", {
        property: [
          {
            pattern: RegExp(t.source + "(?=\\s*:)"),
            greedy: !0
          },
          {
            pattern: /(?!\s)[_$a-zA-Z\xA0-\uFFFF](?:(?!\s)[$\w\xA0-\uFFFF])*(?=\s*:)/,
            alias: "unquoted"
          }
        ],
        string: {
          pattern: t,
          greedy: !0
        },
        number: /[+-]?\b(?:NaN|Infinity|0x[a-fA-F\d]+)\b|[+-]?(?:\b\d+(?:\.\d*)?|\B\.\d+)(?:[eE][+-]?\d+\b)?/
      });
    }(n);
  }
  s(e, "json5");
});

export {
  g as a
};
